OmwAIOmwAI
API GuideAPI ReferenceProgramming Tools
Vidu Video

Query Result

Query the status and result of a Vidu Video task by task ID.

Query the status and result of a Vidu Video task by task ID.

GET
/v1/videos/{task_id}

Authorization

BearerAuth

AuthorizationBearer <token>

使用 API Token 认证

In: header

Path Parameters

task_id*string

创建接口返回的任务 ID

Response Body

application/json

curl -X GET "https://loading/v1/videos/string"
{
  "id": "string",
  "object": "video",
  "model": "string",
  "status": "queued",
  "progress": 0,
  "created_at": 0,
  "completed_at": 0,
  "error": {}
}
Empty
GET
/v1/videos/{task_id}/content

Authorization

BearerAuth

AuthorizationBearer <token>

使用 API Token 认证

In: header

Path Parameters

task_id*string

Response Body

video/mp4

curl -X GET "https://loading/v1/videos/string/content"
"string"
Empty
HEAD
/v1/videos/{task_id}/content

Authorization

BearerAuth

AuthorizationBearer <token>

使用 API Token 认证

In: header

Path Parameters

task_id*string

Response Body

curl -X HEAD "https://loading/v1/videos/string/content"
Empty
Empty

How is this guide?

Last updated on